<template lang="pug">
  article.news-item
    .news-item__wrapper
      .news-item__cover
        app-image-item(
          :source="cover"
          :alt="heading")
      .news-item__text
        h3.news-item__label(
          ref='heading') {{ heading }}
        span.news-item__date {{ $moment(time).format('D.MM.YYYY') }}
    nuxt-link.news-item__link(:to="`/news/${slug}`" :aria-label="heading")
</template>

<script>
import ImageItem from './ImageItem';

export default {
  name: 'NewsItem',
  components: {
    'app-image-item': ImageItem
  },
  props: {
    cover: {
      type: String,
      required: true
    },
    heading: {
      type: String,
      required: true
    },
    time: {
      type: Number,
      required: true
    },
    slug: {
      type: String,
      required: true
    }
  },
  mounted() {
    this.$shave('.news-item__label', 90);
  }
};
</script>
